﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GanttChartDataGridMvvmSample.ViewModels;

namespace GanttChartDataGridMvvmSample.Views
{
    /// <summary>
    /// Interaction logic for ProjectView.xaml
    /// </summary>
    public partial class ProjectView : UserControl
    {
        public ProjectView()
        {
            InitializeComponent();
        }

        // Accesses the view-model object available as inherited data context.
        public ProjectViewModel ViewModel { get { return DataContext as ProjectViewModel; } }

        #region Commands

        // Executes the New command routed up to this main view, calling the appropriate operation of the view-model.
        private void NewCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            if (ViewModel == null)
                return;
            ViewModel.AddNewTask();
            e.Handled = true;
        }

        // Executes the Delete command routed up to this main view, calling the appropriate operation of the view-model.
        private void DeleteCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            if (ViewModel == null)
                return;
            ViewModel.DeleteSelectedTask();
            e.Handled = true;
        }
        private void DeleteComand_CanExecute(object sender, CanExecuteRoutedEventArgs e)
        {
            e.CanExecute = ViewModel != null && ViewModel.CanDeleteSelectedTask();
            e.Handled = true;
        }

        #endregion
    }
}
