﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using GanttChartDataGridMvvmSample.ViewModels;

namespace GanttChartDataGridMvvmSample.Views
{
    /// <summary>
    /// Interaction logic for TaskView.xaml
    /// </summary>
    public partial class TaskView : UserControl
    {
        public TaskView()
        {
            InitializeComponent();
        }

        // Accesses the view-model object available as inherited data context.
        public TaskViewModel ViewModel { get { return DataContext as TaskViewModel; } }

        #region Commands

        // Executes the SetAsCompleted command routed up to this main view, calling the appropriate operation of the view-model.
        private void SetAsCompletedCommand_Executed(object sender, ExecutedRoutedEventArgs e)
        {
            if (ViewModel == null)
                return;
            double completionPercent;
            if (!double.TryParse(CompletionPercent.Text, out completionPercent))
                completionPercent = 0;
            ViewModel.SetAsCompleted(completionPercent / 100);
            e.Handled = true;
        }

        #endregion
    }
}
